Bug 1794047 - Tower provider throws error when using v2 api endpoint
Summary: Tower provider throws error when using v2 api endpoint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.15
Assignee: Adam Grare
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-22 14:47 UTC by Satoe Imaishi
Modified: 2020-03-25 04:05 UTC (History)
15 users (show)

Fixed In Version: 5.10.15.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1740860
Environment:
Last Closed: 2020-02-25 05:39:24 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4844821 None None None 2020-02-20 00:13:05 UTC
Red Hat Product Errata RHSA-2020:0589 None None None 2020-02-25 05:39:36 UTC

Comment 2 CFME Bot 2020-01-23 15:32:17 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/hammer:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/c1b4101c6206bacc8329f56600bcf95b1d548fed
commit c1b4101c6206bacc8329f56600bcf95b1d548fed
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Thu Jan 23 10:21:02 2020 -0500
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Thu Jan 23 10:21:02 2020 -0500

    Merge pull request #208 from agrare/bump_ansible_tower_client

    Bump ansible_tower_client to v0.20.2

    (cherry picked from commit 0b9e54c7730b723de374c6854bbe141b6a2f1758)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1794047

 manageiq-providers-ansible_tower.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Nandini Chandra 2020-02-13 22:30:55 UTC
Verified the issue in 5.10.15.1

Comment 4 Nandini Chandra 2020-02-13 22:32:49 UTC
The issue is that while using API v2, Tower refresh failed even though user credential was successfully validated. The Tower refresh failed with this message :

 MIQ(ManageIQ::Providers::AnsibleTower::AutomationManager::Refresher#refresh) EMS: [Tower Automation Manager], id: [99000000000005] Unable to perform refresh for the following targets:
- undefined method `vault_password' for #<AnsibleTowerClient::Credential::Inputs:0x000055eea78a7578>  Method:[block (2 levels) in <class:LogProxy>]"

This issue doesn't occur if there is a Vault credential on the Tower setup.

I verified the issue on a 5.10.15.1 appliance managing Tower 3.5.

Comment 7 errata-xmlrpc 2020-02-25 05:39:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:0589


Note You need to log in before you can comment on or make changes to this bug.